# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2020-01-05 13:29
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Period',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.PositiveIntegerField(blank=True, null=True)),
                ('month', models.PositiveIntegerField(blank=True, null=True)),
                ('dt_created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('dt_updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
            ],
            options={
                'verbose_name': 'Period',
            },
        ),
        migrations.CreateModel(
            name='Statistic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(null=True)),
                ('transferred_past', models.PositiveIntegerField(default=0, verbose_name='Transferred in Past')),
                ('transferred_live', models.PositiveIntegerField(default=0, verbose_name='Transferred on Living Port')),
                ('dt_collected', models.DateTimeField(blank=True, null=True, verbose_name='Collected')),
                ('dt_created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('dt_updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('period', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='statistic.Period')),
            ],
            options={
                'verbose_name': 'Statistic',
                'verbose_name_plural': 'Statistic',
            },
        ),
        migrations.AlterUniqueTogether(
            name='period',
            unique_together=set([('year', 'month')]),
        ),
        migrations.AlterUniqueTogether(
            name='statistic',
            unique_together=set([('period', 'content_type', 'object_id')]),
        ),
    ]
